%define _prefix /opt/freeware
%define _defaultdocdir %{_prefix}/doc
%define gtk2_version 2.2.4
%define libbonobo_version 2.4.0
%define orbit2_version 2.8.1
%define gail_version 1.4.0
%define pango_version 1.2.5

Summary: 	Assistive Technology Service Provider Interface 
Name: 		at-spi
Version: 	1.3.7
Release: 	2
URL: 		http://developer.gnome.org/projects/gap/
Source: 	%{name}-%{version}.tar.bz2

Patch0:		at-spi-1.3.7-aix.patch
Patch1:		at-spi-1.3.7-autotools.patch

License: 	LGPL
Group: 		System Environment/Libraries
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
Requires: 	gtk2 >= %{gtk2_version}
Requires: 	libbonobo >= %{libbonobo_version}
Requires: 	ORBit2 >= %{orbit2_version}
Requires: 	gail >= %{gail_version}
BuildRequires: 	pango-devel >= %{pango_version}
BuildRequires: 	gtk2-devel >= %{gtk2_version}
BuildRequires: 	libbonobo-devel >= %{libbonobo_version}
BuildRequires: 	ORBit2-devel >= %{orbit2_version}
BuildRequires: 	gail-devel >= %{gail_version}
# BuildRequires: autoconf
# BuildRequires: XFree86-devel
# BuildRequires: 	Xft
# BuildRequires: 	fontconfig


%description
at-spi allows assistive technologies to access GTK-based
applications. Essentially it exposes the internals of applications for
automation, so tools such as screen readers, magnifiers, or even
scripting interfaces can query and interact with GUI controls.


%package devel
Summary: Development libraries and headers for at-spi
Group: Development/Libraries
Requires: %name = %{version}
Requires: gtk2-devel >= %{gtk2_version}
Requires: libbonobo-devel >= %{libbonobo_version}
Requires: ORBit2-devel >= %{orbit2_version}
Requires: gail-devel >= %{gail_version}

%description devel
Libraries and header files allowing compilation of apps that use at-spi.

%prep
%setup -q

if test x$PATCH = x ; then
  PATCH=patch ;
fi
$PATCH -p2 -s < %{_sourcedir}/at-spi-1.3.7-aix.patch
$PATCH -p2 -s < %{_sourcedir}/at-spi-1.3.7-autotools.patch


%build
CPPFLAGS="-I%{_includedir}" LDFLAGS="-L%{_libdir}" \
PATH=%{_bindir}:$PATH ./configure --prefix=%{_prefix} --disable-gtk-doc
make

%install
if test "%{buildroot}" != "/"; then
	rm -rf %{buildroot}
fi
mkdir -p %{buildroot}
make DESTDIR=%{buildroot} install-strip

# make links
cd %{buildroot}
for dir in lib include
do
        mkdir -p usr/$dir
        cd usr/$dir
        ln -sf ../..%{_prefix}/$dir/* .
        cd -
done

%files
%defattr(-,root,system)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/lib*.a
/usr/lib/lib*.a
%{_libdir}/bonobo
%{_libdir}/orbit-2.0
%{_libdir}/gtk-2.0
%{_libexecdir}/*

%files devel
%defattr(-,root,system)
%{_datadir}/gtk-doc
%{_datadir}/idl
%{_libdir}/lib*.la
%{_libdir}/pkgconfig/*
%{_includedir}/*
/usr/include/*

 
